libxml++ 2.34.2

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# xmlpp::EntityReference Class Reference

Entity references refer to previously declared entities. More...

`#include <libxml++/nodes/entityreference.h>`

Inheritance diagram for xmlpp::EntityReference:
[legend]
Collaboration diagram for xmlpp::EntityReference:
[legend]

List of all members.

## Public Member Functions
| EntityReference (_xmlNode* node)
virtual | ~EntityReference ()
Glib::ustring | get_resolved_text () const
| Get the text to which this entity reference would have resolved if the XML document had been parsed with Parser::set_substitute_entities(true).
Glib::ustring | get_original_text () const

## Detailed Description

Entity references refer to previously declared entities.

This will be instantiated by the parser.

## Constructor & Destructor Documentation

xmlpp::EntityReference::EntityReference | ( | _xmlNode * | node | ) | `[explicit]`

virtual xmlpp::EntityReference::~EntityReference | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::ustring xmlpp::EntityReference::get_original_text | ( |  | ) | const

Glib::ustring xmlpp::EntityReference::get_resolved_text | ( |  | ) | const

Get the text to which this entity reference would have resolved if the XML document had been parsed with Parser::set_substitute_entities(true).

Returns:
  The unescaped text.

The documentation for this class was generated from the following file:

- nodes/entityreference.h